[arch-commits] CVS update of core/support/sudo (PKGBUILD)

Paul Mattal paul at archlinux.org
Sun Dec 30 18:17:09 EST 2007


    Date: Sunday, December 30, 2007 @ 18:17:09
  Author: paul
    Path: /home/cvs-core/core/support/sudo

Modified: PKGBUILD (1.35 -> 1.36)

upgpkg: sudo 1.6.9p10-2
upgrade to 1.6.9p10, take 2, something funky happened first time uploaded


----------+
 PKGBUILD |   16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)


Index: core/support/sudo/PKGBUILD
diff -u core/support/sudo/PKGBUILD:1.35 core/support/sudo/PKGBUILD:1.36
--- core/support/sudo/PKGBUILD:1.35	Sun Dec 30 18:11:24 2007
+++ core/support/sudo/PKGBUILD	Sun Dec 30 18:17:08 2007
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD,v 1.35 2007/12/30 23:11:24 paul Exp $
+# $Id: PKGBUILD,v 1.36 2007/12/30 23:17:08 paul Exp $
 # Maintainer: Paul Mattal <paul at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 pkgname=sudo
 pkgver=1.6.9p10
-pkgrel=1
+pkgrel=2
 pkgdesc="Give certain users the ability to run some commands as root"
 arch=(i686 x86_64)
 url="http://www.sudo.ws/sudo/"
@@ -17,14 +17,16 @@
          '4e7ad4ec8f2fe6a40e12bcb2c0b256e3')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $startdir/src/$pkgname-$pkgver || return 1
 
   ./configure --prefix=/usr --with-pam --libexecdir=/usr/lib \
-    --with-editor=/usr/bin/vi --with-all-insults
+    --with-editor=/usr/bin/vi --with-all-insults || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  install -D -m644 $startdir/src/sudo.pam $startdir/pkg/etc/pam.d/sudo
+  make DESTDIR=$startdir/pkg install || return 1
+  install -D -m644 $startdir/src/sudo.pam $startdir/pkg/etc/pam.d/sudo \
+  	|| return 1
 
   #install the license
-  install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/sudo/LICENSE
+  install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/sudo/LICENSE \
+  	|| return 1
 }




More information about the arch-commits mailing list